Bug 173103 - EHCI driver not recognizing High Speed USB Flashdrive on Fujitsu P2120 notebook
EHCI driver not recognizing High Speed USB Flashdrive on Fujitsu P2120 notebook
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-14 01:20 EST by TC
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-29 01:47:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output for 2.6.12-1.1456_FC4, indicating USB 2.0 flash drive recognition problem (13.75 KB, text/plain)
2005-11-14 01:21 EST, TC
no flags Details
USB2.0 kernel-2.6.14-1.1637_FC4 flash drive recognition problem (14.40 KB, text/plain)
2005-11-14 01:22 EST, TC
no flags Details
Interrupt assignment (EHCI driver on IRQ9) for 2.6.12, also identical for 2.6.14 (484 bytes, text/plain)
2005-11-14 01:23 EST, TC
no flags Details
USB 2.0 Flash Drive info (read on a PC with USB 1.1 ports only) (3.15 KB, text/plain)
2005-11-14 01:24 EST, TC
no flags Details
USB 2.0 port works after pci=routeirq (16.82 KB, text/plain)
2006-01-26 05:46 EST, TC
no flags Details
dmesg output for 2.6.15-1.1830_FC4 without pci=routeirq (13.57 KB, text/plain)
2006-02-07 03:01 EST, TC
no flags Details
dmesg output for 2.6.15-1.1830_FC4 with pci=routeirq (16.21 KB, text/plain)
2006-02-07 03:02 EST, TC
no flags Details

  None (edit)
Description TC 2005-11-14 01:20:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I did not have any High Speed USB Flash drives prior to this, so this bug only surfaced when I tested against kernel-2.6.14-1.1637_FC4. However, after testing against kernel-2.6.12-1.1456_FC4, the same problem occurs, so it must have been undetected previously. I don't have any earlier kernels installed to test with.

Symptoms are: EHCI IRQ unhandled error (shows up on 2.6.14), High Speed USB device does not accept address configuration, USB Drive not mounted. Howver, checking /proc/interrupts show EHCI driver attached to IRQ9, which is the expected behavior (compared with WinXP)

This high speed USB flash drive works fine on another system with identical kernel version, but only equipped with USB 1.1 interface (OHCI).

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1637_FC4

How reproducible:
Always

Steps to Reproduce:
1. Cold-boot into FC4
2. Attach Hi-Speed USB 2.0 Flash Drive
3. View dmesg output
  

Actual Results:  USB 2.0 Flash Drive not mounted

Expected Results:  USB 2.0 Flash Drive mounted and recognized

Additional info:
Comment 1 TC 2005-11-14 01:21:44 EST
Created attachment 121007 [details]
dmesg output for 2.6.12-1.1456_FC4, indicating USB 2.0 flash drive recognition problem
Comment 2 TC 2005-11-14 01:22:52 EST
Created attachment 121008 [details]
USB2.0 kernel-2.6.14-1.1637_FC4 flash drive recognition problem

Identical behavior in 2.6.14-1.1637_FC4 kernel
Comment 3 TC 2005-11-14 01:23:47 EST
Created attachment 121009 [details]
Interrupt assignment (EHCI driver on IRQ9) for 2.6.12, also identical for 2.6.14
Comment 4 TC 2005-11-14 01:24:43 EST
Created attachment 121010 [details]
USB 2.0 Flash Drive info (read on a PC with USB 1.1 ports only)
Comment 5 TC 2005-11-14 01:26:16 EST
I forgot to mention that USB 1.1 (OHCI) devices, such as USB mouse, older flash
drive, can be recognized and mounted without any problems on both kernel
versions (2.6.12, 2.6.14).
Comment 6 TC 2005-11-14 01:47:30 EST
(Minor annoyance) My USB 2.0 Flash Drive does not have a 'lock-unlock' switch.
The "No Sense" information should be suppressed after the first message.
Comment 7 TC 2006-01-26 05:46:04 EST
Created attachment 123711 [details]
USB 2.0 port works after pci=routeirq

With kernel parameter pci=routeirq, the USB disk is now recognized.

It appears that the EHCI driver does not initialize the IRQ properly.
Comment 8 Dave Jones 2006-02-03 02:27:13 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 9 TC 2006-02-07 03:01:03 EST
Created attachment 124303 [details]
dmesg output for 2.6.15-1.1830_FC4 without pci=routeirq

Problem persists in 2.6.15 using default (no pci=routeirq) kernel boot
parameters
Comment 10 TC 2006-02-07 03:02:02 EST
Created attachment 124304 [details]
dmesg output for 2.6.15-1.1830_FC4 with pci=routeirq

By forcing pci=routeirq, EHCI driver is able to recognize USB 2.0 flash drive
Comment 11 Dave Jones 2006-07-29 01:47:17 EDT
If this doesn't work in the 2.6.17 updates without you having to pass
pci=routeirq, could you send a mail to linux-kernel@vger.kernel.org describing
this problem please ?

Thanks.
Comment 12 TC 2006-07-30 22:44:40 EDT
Status update:
2.6.17-1.2157_FC5 still exhibits the same problem.
---- from dmesg ----
usb 4-2: new high speed USB device using ehci_hcd and address 2
ehci_hcd 0000:00:09.2: Unlink after no-IRQ?  Controller is probably using the
wrong IRQ.
usb 4-2: device not accepting address 2, error -110
usb 4-2: new high speed USB device using ehci_hcd and address 3
usb 4-2: device not accepting address 3, error -110

I'm not subscribed to linux-kernel ML. I'm not sure if I'm allowed to post
without subscribing.

Note You need to log in before you can comment on or make changes to this bug.